# $Id: smeserver-bridge-interface.spec,v 1.10 2022/12/25 07:16:58 terryfage Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

%define version 0.2
%define release 11
%define name smeserver-bridge-interface


Summary:        Configure a bridge interface
Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
License:        GPL
Group:          System/Servers
Source:         %{name}-%{version}.tar.xz

BuildRoot:      /var/tmp/%{name}-%{version}-%{release}-buildroot
URL:            http://www.firewall-services.com/

BuildRequires: smeserver-devtools

Requires:       bridge-utils
Requires:	openvpn
Requires: smeserver-base >= 5.8.1-23
Buildarch:      noarch
Conflicts:	smeserver-openvpn-bridge.fws
Conflicts:	smeserver-openvpn-bridge-fws
AutoReqProv:    no


%description
This package allows you to replace the internal interface with a bridge
interface (and the original internal interface enslaved to it).
It's usefull for OpenVPN in bridge mode but can also be used for virtual host
configuration

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.2-11.sme
- Fix e-smith references in smeserver-bridge-interface [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.2-10.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Dec 25 2022 Terry Fage <terry@fage.id.au> 0.2-9.sme
- make bridge interface compat to e-smith-base on install [SME: 12271]

* Fri Dec 16 2022 Terry Fage <terry@fage.id.au> 0.2-8.sme
- make bridge interface up on install [SME: 12271]

* Tue Mar 23 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-7.sme
- make bridge interface up on install [SME: 11485]
- modify support for dhcp with bridge

* Thu Jan 28 2021 Brian Read <brianr@bjsystems.co.uk> 0.2-6.sme
- Change-After-in-Service-file-to-network-service-from-target [SME: 11324]

* Sun Jan 24 2021 Brian Read <brianr@bjsystems.co.uk> 0.2-5.sme
- Add-Restart-to-service-file.patch [SME: 11324 ]

* Sat Jan 23 2021 Brian Read <brianr@bjsystems.co.uk> 0.2-4.sme
- Move exec to  /sbin/e-smith/systemd/bridge-run, add service file [SME: 11324]

* Thu Jan 14 2021 Brian Read <brianr@bjsystems.co.uk> 0.2-2.sme
- Initial Import to SME10 [SME: 11324]
- Update-Createlinks-for-systemd.patch

* Mon Nov 11 2013 Daniel B. <daniel@firewall-services.com> - 0.2-1.sme
- Rebuild for SME9

* Tue Jun 19 2012 Daniel B. <daniel@firewall-services.com> - 0.1-6.sme
- Wait after physical interface config
  (fix a random bug in serveronly mode)
- Ensure the bridge takes the MAC address of the physical interface
- Optionally set the bridge interface in promiscuous mode

* Tue Apr 19 2011 Daniel B. <daniel@firewall-services.com> - 0.1-5.sme
- Fix ifcfg templates expension on SME8 [SME: 6092]

* Fri May 29 2009 Daniel B. <daniel@firewall-services.com> [0.1-4]
- Enhance init script to display what it's doing (starting/stoping etc...)
- Cleanup in spec file

* Fri Jan 16 2009 Daniel B. <daniel@firewall-services.com> [0.1-3]
- Set default status to enabled

* Mon Jan 12 2009 Daniel B. <daniel@firewall-services.com> [0.1-2]
- possibility to set multiple tap interfaces separated with commas

* Fri Dec 12 2008 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Set the Name of InternalInterface to br0 when starting
- Do not set the Name of InternalInterface to br0 if service is disabled
  (during databases initialization)

* Tue Dec 02 2008 Daniel B. <daniel@firewall-services.com> [0.1-0]
- initial release

%prep

%setup -q -n %{name}-%{version}

%build
# Build symlinks
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
         > %{name}-%{version}-%{release}-filelist

chmod +x %{buildroot}/sbin/e-smith/systemd/bridge-run


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%post

%preun
#if [ $1 = 0 ] ; then
#  /etc/rc.d/init.d/bridge stop >& /dev/null || :
#fi

true
